package com.ztmap.project.zhny.energystoragecount.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 储能充能统计对象 t_energy_storage_charge_count
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TEnergyStorageChargeCount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据时间 */
    @Excel(name = "数据时间")
    private String dataTime;

    /** 光伏 */
    @Excel(name = "光伏")
    private Double gf;

    /** 风电 */
    @Excel(name = "风电")
    private Double fd;

    /** 市电 */
    @Excel(name = "市电")
    private Double sd;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }
    public void setGf(Double gf)
    {
        this.gf = gf;
    }

    public Double getGf()
    {
        return gf;
    }
    public void setFd(Double fd)
    {
        this.fd = fd;
    }

    public Double getFd()
    {
        return fd;
    }
    public void setSd(Double sd)
    {
        this.sd = sd;
    }

    public Double getSd()
    {
        return sd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataTime", getDataTime())
            .append("gf", getGf())
            .append("fd", getFd())
            .append("sd", getSd())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
